Subject: Re: [RFC/GSoC] Introduction

From: Sidhant Sharma <[email-masked]>
Date: Sun, 20 Mar 2016 21:21:10 +0530

On Sunday 20 March 2016 09:09 PM, Lars Schneider wrote:
> Hi Sidhant,
>
> that sounds about right to me. In what language do you plan to implement the 
> wrapper?
I'm comfortable in programming with C, so I think I can use that. Otherwise,
I'm also comfortable with python and familiar with bash, if they are required.
Would C be the right choice though?
Also, I've made a draft proposal for the project and uploaded to the GSoC
application site. Should I send it to the list as well for RFC?

Thanks,
Sidhant Sharma
> Best,
> Lars
>
> On 17 Mar 2016, at 15:52, Sidhant Sharma <[email-masked]> wrote:
>
>> Hi,
>>
>> So to sum up, the list of tasks for the project would be:
>> 1. A wrapper is to be implemented around (called 'ggit') that will scan the
>> arguments for potentially destructive commands. When none are found, all the
>> arguments will simply be passed through to git.
>> 2. If such a command is found, 'ggit' will:
>>    a. Show what the command is actually going to do.
>>    b. Ask the user if they are sure they want to execute it.
>> Eg. "You are about to do X which  will permanently destroy Y. Do you want to
>> continue?"
>> 3. For all commands that are entered, 'ggit' will also show a brief summary of
>> the command what it will do when executed, explaining it's intended usage.
>>
>> Is the list correct, or did I miss something?
>>
>>
>> Thanks and regards,
>> Sidhant Sharma